use strictures 1;
use Test::More;

use System::Introspector::Users;

my $probe = System::Introspector::Users->new;
my $data  = $probe->gather;

ok((my $user = $data->{users}{ +getlogin }), 'found own user');
ok(defined($user->{ $_ }), "$_ is defined")
    for qw( comment crontab gid groups home shell ssh uid username );
ok(not(exists $user->{crontab}{error}), 'no crontab error');
is($user->{ssh}{keys}{error}, undef, 'no ssh keys error');

done_testing;
